View Issue Details

IDProjectCategoryView StatusLast Update
0023179LazarusIDEpublic2012-10-29 22:36
ReporterAlexander S. KleninAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0023179: [regression] OI: Duplicate entries on treeview
DescriptionSee steps to reproduce.
Steps To Reproduce1) Put TChart on a form
=>
Axises are displayed twice in treeview.
Additionally, click on axis results in "List index out of bounds",
which is probably the same bug as reported in issue 0023176
TagsNo tags attached.
Fixed in Revisionr39184
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0023209 resolvedJuha Manninen Object Inspector shows selected tabsheet twice 
related to 0023181 resolvedJuha Manninen OI: make "show all owned objects in properties" optional 

Activities

Juha Manninen

2012-10-29 22:36

developer   ~0063553

Old behavior returned. Defining ShowOwnedObjectsOI shows all owned objects in OI.

Issue History

Date Modified Username Field Change
2012-10-21 12:36 Alexander S. Klenin New Issue
2012-10-21 12:36 Alexander S. Klenin LazTarget => -
2012-10-21 12:36 Alexander S. Klenin Widgetset => Win32/Win64
2012-10-21 12:49 Maxim Ganetsky Summary OI: Duplicate entries on treeview => [regression] OI: Duplicate entries on treeview
2012-10-21 14:37 Juha Manninen Relationship added related to 0023181
2012-10-25 14:25 Alexander S. Klenin Relationship added has duplicate 0023209
2012-10-29 22:36 Juha Manninen Fixed in Revision => r39184
2012-10-29 22:36 Juha Manninen Status new => resolved
2012-10-29 22:36 Juha Manninen Resolution open => fixed
2012-10-29 22:36 Juha Manninen Assigned To => Juha Manninen
2012-10-29 22:36 Juha Manninen Note Added: 0063553